using System;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using Plus.HabboHotel.Items;
using Plus.HabboHotel.Rooms;
using Plus.HabboHotel.Rooms.Chat.Styles;
using Plus.HabboHotel.Items.Utilities;

namespace Plus.HabboHotel.Rooms.Chat.Commands.User.Fun
{
    class SetzCommand : IChatCommand
    {
        public string PermissionRequired
        {
            get { return "command_setz"; }
        }

        public string Parameters
        {
            get { return "%numero%"; }
        }

        public string Description
        {
            get { return "Placer un mobis avec un hauteur définie (entre 0 & 10)"; }
        }

        public void Execute(GameClients.GameClient Session, Rooms.Room Room, string[] Params)
        {
            RoomUser User = Room.GetRoomUserManager().GetRoomUserByHabbo(Session.GetHabbo().Id);
            if (User == null)
                return;

            if (Params.Length == 1)
            {
                Session.SendWhisper("Oops, tu dois entrer une hauteur entre 0 & 10 !", 34);
                return;
            }

            Double Setz = 0;
            if (!double.TryParse(Params[1].ToString(), out Setz))
            {
                Session.SendWhisper("Tu dois entrer un nombre valide.", 34);
                return;
            }
            Session.GetHabbo().CurrentRoom.GetRoomItemHandler().Setz(Setz);
            Session.SendWhisper("La hauteur de tes mobis est fixé à " + Setz + ".", 34);
        }
    }
}